Subject: bug#7176: Feature request: add option to display full units in -h and --si output

From: Mihai Capotă <[email-masked]>
Date: Fri, 8 Oct 2010 18:52:26 +0200

The output of -h or --si looks identical (if K/k doesn't show up). It
would be useful to be able to differentiate between the two by having
the full units in the output, e.g., MiB and MB, respectively, instead
of just M.

Actually, the manual [1] does say "si is similar [to h], but uses
powers of 1000 and appends ‘B’", but that seems to be a bug, as a
similar wording in the ls manual was corrected [2].

Maybe there's a way to generate this full-unit output with the
existing options, but I don't see it. Specifying a unit in
--block-size (e.g., "MiB or MB") results in everything being displayed
only in that unit, not in the usage of the whole spectrum of units, as
with -h and --si.

I see two possible solutions:

(1) add a new flag, say --full-units
(2) add two more options for --block-size, say "decimal" and "binary"

Regards,
Mihai Capotă

[1] http://www.gnu.org/software/coreutils/manual/html_node/Block-size.html
[2] http://lists.gnu.org/archive/html/bug-coreutils/2007-02/msg00312.html